package uk.ac.ed.pguaglia.real.db.engine;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class RecordOperations {

	public Stream<Record> crossProduct(Stream<Record> s1, Stream<Record> s2) {
		List<Record> inner = s2.collect(Collectors.toList());
		return s1.flatMap(r -> inner.stream().map(s -> r.append(s)));
	}

	public Stream<Record> project(Stream<Record> s, int[] pos) {
		return s.map(r -> r.project(pos));
	}
}
